For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a subaccount
      • PUTUpdate a subaccount
      • DELDelete a subaccount
      • GETGet a subaccount
      • GETList subaccounts
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISubaccounts

Update a subaccount

||View as Markdown|
PUT
/subaccounts/:subaccount_id
PUT
/v2/subaccounts/:subaccount_id
$curl -X PUT https://api.synthflow.ai/v2/subaccounts/1726005822670x239735712159542050 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "subaccount_name": "string",
> "max_agents": 5,
> "max_minutes": 1000,
> "max_workflow_runs": 500,
> "grant_permissions": [
> "inbound",
> "outbound",
> "logs"
> ],
> "revoke_permissions": [
> "widget",
> "phone_numbers"
> ],
> "operation_type": "import",
> "products": {
> "phone_numbers": [
> {
> "number": "+12065550123"
> }
> ]
> }
>}'
1{
2 "status": "ok",
3 "response": {
4 "subaccount_id": "1726005822670x239735712159542050"
5 }
6}
Was this page helpful?
Previous

Delete a subaccount

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

subaccount_idstringRequired
Subaccount ID.

Request

This endpoint expects an object.
subaccount_namestringOptional
The name for the new subaccount. This should be a unique identifier that distinguishes it from other subaccounts within the main account.
invite_user_emailstringOptional
This is the email address of the user you wish to invite to the subaccount. When this optional parameter is filled in, a "sign in" link will be generated and sent back in the response. The user can use this link to sign in and set up their account.
pricing_tiers_attachlist of objectsOptional
Pricing tier IDs that this subaccount can choose from when selecting a subscription plan.
pricing_tiers_detachlist of objectsOptional
Pricing tiers will be removed from this subaccount and will no longer be available for selection when choosing a subscription plan.
import_subscriptionobjectOptional
This section is used when you want to import an existing Stripe subscription for the subaccount
twilio_account_sidstringOptional
This is the Twilio SID of the subaccount.
twilio_auth_tokenstringOptional
This is the Twilio Token of the subaccount.
concurrencyintegerOptional
The maximum calls the subaccount can handle at once.
max_agentsinteger or nullOptional
The maximum number of agents the subaccount is allowed to create. Null if no limit is set.
max_minutesinteger or nullOptional
The maximum number of minutes allocated to this subaccount. Null if no limit is set.
max_workflow_runsinteger or nullOptional
The maximum number of workflow runs allocated to this subaccount. Null if no limit is set.
grant_permissionslist of enumsOptional

Permissions to grant to the subaccount. Duplicate values are not allowed, and any value also present in revoke_permissions is rejected by the API.

revoke_permissionslist of enumsOptional

Permissions to revoke from the subaccount. Duplicate values are not allowed, and any value also present in grant_permissions is rejected by the API.

operation_typeenumOptional
The type of operation to perform. You can import objects from the parent workspace to a subaccount or return objects from a subaccount in some cases.
Allowed values:
productsobjectOptional

Objects to be imported to or returned from the subaccount_id

Response

200
statusstring
responseobject

Errors

400
Bad Request Error